# eric5.Plugins.VcsPlugins.vcsMercurial.HgBookmarksListDialog

Module implementing a dialog to show a list of bookmarks.

### Global Attributes

None

### Classes

HgBookmarksListDialog | Class implementing a dialog to show a list of bookmarks.

### Functions

None

## HgBookmarksListDialog

Class implementing a dialog to show a list of bookmarks.

### Derived from

QDialog, Ui_HgBookmarksListDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgBookmarksListDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate a bookmark item in the bookmarks list.
__procFinished | Private slot connected to the finished signal.
__processOutputLine | Private method to process the lines of output.
__readStderr | Private slot to handle the readyReadStderr signal.
__readStdout | Private slot to handle the readyReadStdout signal.
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the tree.
__showError | Private slot to show some error.
closeEvent | Protected slot implementing a close event handler.
keyPressEvent | Protected slot to handle a key press event.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_sendButton_clicked | Private slot to send the input to the subversion process.
start | Public slot to start the bookmarks command.

### Static Methods

None

#### HgBookmarksListDialog (Constructor)

HgBookmarksListDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### HgBookmarksListDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### HgBookmarksListDialog.__generateItem

__generateItem(revision, changeset, status, name)

Private method to generate a bookmark item in the bookmarks list.

revision
  revision of the bookmark (string)
changeset
  changeset of the bookmark (string)
status
  of the bookmark (string)
name
  name of the bookmark (string)

#### HgBookmarksListDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### HgBookmarksListDialog.__processOutputLine

__processOutputLine(line)

Private method to process the lines of output.

line
  output line to be processed (string)

#### HgBookmarksListDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

#### HgBookmarksListDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### HgBookmarksListDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### HgBookmarksListDialog.__resort

__resort()

Private method to resort the tree.

#### HgBookmarksListDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### HgBookmarksListDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### HgBookmarksListDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### HgBookmarksListDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### HgBookmarksListDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### HgBookmarksListDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

#### HgBookmarksListDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the subversion process.

#### HgBookmarksListDialog.start

start(path, bookmarksList)

Public slot to start the bookmarks command.

path
  name of directory to be listed (string)
bookmarksList
  reference to string list receiving the bookmarks (list of strings)

Up